/// Library containing all logic and accessors to make calls to Sonarr's API.
library sonarr_commands;

import 'package:dio/dio.dart';
import 'package:meta/meta.dart';
import 'package:sonarr/types.dart';
import 'models.dart';

// Command
part 'src/commands/command.dart';
part 'src/commands/command/backup.dart';
part 'src/commands/command/missing_episode_search.dart';
part 'src/commands/command/queue.dart';
part 'src/commands/command/refresh_series.dart';
part 'src/commands/command/rescan_series.dart';
part 'src/commands/command/rss_sync.dart';

// Profile
part 'src/commands/profile.dart';
part 'src/commands/profile/get_language_profiles.dart';
part 'src/commands/profile/get_quality_profiles.dart';

// Root Folder
part 'src/commands/root_folder.dart';
part 'src/commands/root_folder/get_root_folders.dart';

// Series
part 'src/commands/series.dart';
part 'src/commands/series/get_all_series.dart';
part 'src/commands/series/get_series.dart';

// Series Lookup
part 'src/commands/series_lookup.dart';
part 'src/commands/series_lookup/lookup.dart';

// Wanted/Missing
part 'src/commands/wanted_missing.dart';
part 'src/commands/wanted_missing/get_missing.dart';
